hpp-corbaserver: LockedJoint Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
LockedJoint Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for LockedJoint:
[legend]
Collaboration diagram for LockedJoint:
[legend]

## Public Types
typedef LockedJoint_ptr | _ptr_type
typedef LockedJoint_var | _var_type
Public Types inherited from Implicit
typedef Implicit_ptr | _ptr_type
typedef Implicit_var | _var_type

## Public Member Functions
virtual | ~LockedJoint ()
inline ::hpp::constraints_idl::LockedJoint_ptr | _this ()
Public Member Functions inherited from Implicit
virtual | ~Implicit ()
inline ::hpp::constraints_idl::Implicit_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from Implicit
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from Implicit
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef LockedJoint_ptr LockedJoint::_ptr_type

## ◆ _var_type

typedef LockedJoint_var LockedJoint::_var_type

## Constructor & Destructor Documentation

## ◆ ~LockedJoint()

virtual LockedJoint::~LockedJoint | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type LockedJoint::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type LockedJoint::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void LockedJoint::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type LockedJoint::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type LockedJoint::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::constraints_idl::LockedJoint_ptr LockedJoint::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type LockedJoint::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type LockedJoint::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* LockedJoint::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh